Subject: Re: [PATCH] Make calculator work with customized mode-line

From: Eli Zaretskii <[email-masked]>
Date: Thu, 29 Jun 2023 21:22:45 +0300

> From: john muhl <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 29 Jun 2023 10:12:06 -0500
> 
> > Shouldn't that be 'consp' instead?  'listp' returns non-nil for nil
> > argument.
> 
> I’m not expert enough to say more than that either way works to fix the
> issue. Originally I did the ‘(cdr lh)’ unconditionally and got an error
> mentioning ‘listp’ so I just used that when I added the condition; if it
> had said ‘conps’ I would have used that.
> 
> Here is the patch with ‘consp’ instead.

Thanks.  That still uses 'listp', so I fixed that manually.

This is now installed on the emacs-29 branch; closing the bug.